/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#include <qglobal.h>
#include "icons.h"
#include "global.h"

QIconSet Icons::icon_comm;
QIconSet Icons::icon_user;
QIconSet Icons::icon_user_dnd;
QIconSet Icons::icon_user_away;
QIconSet Icons::icon_user_offline;
QIconSet Icons::icon_channel;
QIconSet Icons::icon_private;
QIconSet Icons::icon_info;
QIconSet Icons::icon_message;
QIconSet Icons::icon_massmessage;
QIconSet Icons::icon_enter;
QIconSet Icons::icon_settings;

void Icons::init()/*{{{*/
{
	QIconSet::setIconSize(QIconSet::Small, QSize(16,16));

	QString datapath(DATADIR);
	
	icon_comm = QIconSet(QPixmap(datapath + "comm.xpm"));
	icon_user = QIconSet(QPixmap(datapath + "user.xpm"));
	icon_user_dnd = QIconSet(QPixmap(datapath + "user_dnd.xpm"));
	icon_user_away = QIconSet(QPixmap(datapath + "user_away.xpm"));
	icon_user_offline = QIconSet(QPixmap(datapath + "user_offline.xpm"));
	icon_channel = QIconSet(QPixmap(datapath + "channel.xpm"));
	icon_private = QIconSet(QPixmap(datapath + "priv.xpm"));
	icon_info = QIconSet(QPixmap(datapath + "info.xpm"));
	icon_message = QIconSet(QPixmap(datapath + "message.xpm"));
	icon_massmessage = QIconSet(QPixmap(datapath + "massmessage.xpm"));
	icon_enter = QIconSet(QPixmap(datapath + "enter.xpm"));
	icon_settings = QIconSet(QPixmap(datapath + "settings.xpm"));
	
	if (icon_comm.isNull() ||
	    icon_user.isNull() ||
	    icon_user_dnd.isNull() ||
	    icon_user_away.isNull() ||
	    icon_user_offline.isNull() ||
	    icon_channel.isNull() ||
	    icon_private.isNull() ||
	    icon_info.isNull() ||
	    icon_message.isNull() ||
	    icon_enter.isNull() ||
	    icon_settings.isNull())
		qWarning("error: no pixmap found in %s. Did you install vyqchat correctly?", datapath.latin1()); 
}/*}}}*/

