/*
 * This file is a part of VyQChat.
 *
 * Copyright (C) 2002-2003 Pawel Stolowski <yogin@linux.bydg.org>
 *
 * VyQChat is free software; you can redestribute it and/or modify it
 * under terms of GNU General Public License by Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY. See GPL for more details.
 */

#ifndef __MSGWIN_H
#define __MSGWIN_H

#include <qtextedit.h>
#include <qpushbutton.h>

class MessageSndWindow: public QWidget
{
	Q_OBJECT
	private slots:
		void slotSendButton();
	signals:
		void send(const QString &nick, const QString &str);
	private:
		QString to;
		QTextEdit *msg;
		QPushButton *b_ok, *b_send;
	public:
		MessageSndWindow(const QString &to);
		virtual ~MessageSndWindow();

};

class MessageRcvWindow: public QWidget
{
	Q_OBJECT
	private slots:
		void slotReplyButton();
		void slotChatButton();
	signals:
		void reply(const QString &nick, const QString &str);
		void chat(const QString &nick);
	private:
		QString from;
		QTextEdit *msg, *rpl;
		QPushButton *b_ok, *b_reply, *b_chat;
	public:
		MessageRcvWindow(const QString &from, const QString &msg);
		virtual ~MessageRcvWindow();
};

#endif

